Loading...
Searching...
No Matches
Gfx::IntColor Struct Reference

Color with integer values. More...

`#include <src/graphics/core/color.h>`

## Public Member Functions

| IntColor (unsigned char aR=0, unsigned char aG=0, unsigned char aB=0, unsigned char aA=0)
| Constructor; default values are (0,0,0,0) = black.

## Public Attributes

unsigned char | r
| Red, green, blue and alpha components.
unsigned char | g
unsigned char | b
unsigned char | a

## Detailed Description

Color with integer values.

May be used for precise pixel manipulations.

## Constructor & Destructor Documentation

## IntColor()

Gfx::IntColor::IntColor | ( | unsigned char | aR = 0,
|  | unsigned char | aG = 0,
|  | unsigned char | aB = 0,
|  | unsigned char | aA = 0 )

inline explicit

Constructor; default values are (0,0,0,0) = black.

## Member Data Documentation

## r

unsigned char Gfx::IntColor::r

Red, green, blue and alpha components.

The documentation for this struct was generated from the following file:

- src/graphics/core/color.h